/*
 * timing.h
 *
 * Created: 18.12.2011 17:16:59
 *  Author: Chris
 */ 


#ifndef TIMING_H_
#define TIMING_H_

#include <avr/io.h>

typedef struct {
	uint8_t patlen;
	uint8_t *pat;
	uint8_t pos_a;
	uint8_t pos_t;
	volatile unsigned char *port;
	uint8_t pin;
} t_timingdata;

void timing_init();
void timing_tick();
void timing_setpattern(uint8_t pattern);

#endif /* TIMING_H_ */